# class Mail::ReceivedElement

### Public Class Methods

new( string ) click to toggle source

    # File lib/mail/elements/received_element.rb, line 6
    def initialize( string )
      received = Mail::Parsers::ReceivedParser.new.parse(string)
      @date_time = ::DateTime.parse("#{received.date} #{received.time}")
      @info = received.info
    end

### Public Instance Methods

date_time() click to toggle source

    # File lib/mail/elements/received_element.rb, line 12
    def date_time
      @date_time
    end

info() click to toggle source

    # File lib/mail/elements/received_element.rb, line 16
    def info
      @info
    end

to_s(*args) click to toggle source

    # File lib/mail/elements/received_element.rb, line 20
    def to_s(*args)
      "#{@info}; #{@date_time.to_s(*args)}"
    end